Enectiva REST API - Librarian
Home
EnectivaUser ManualEnerfis
Home
EnectivaUser ManualEnerfis
  1. Entities from Enectiva
  • Introduction
  • Access tokens
    • Create a new access token
      POST
  • Data points from Enectiva
    • List data points of a data series
      GET
  • Deltas
    • Introduction to Deltas
    • List monthly deltas of an entity
      GET
    • List monthly deltas of a meter
      GET
    • List monthly deltas of a virtual meter
      GET
  • Data points to Enectiva
    • Latest data point
      GET
    • Create a new data point
      POST
    • Delete a data point by ID
      DELETE
    • Delete a data point by time
      DELETE
  • Profiles to Enectiva
    • Latest profile
      GET
    • Create a new/update an existing profile
      POST
    • Delete a profile by ID
      DELETE
    • Delete a profile by time range
      DELETE
  • Readings to Enectiva
    • Latest reading
      GET
    • Create a new reading
      POST
    • Delete a reading by ID
      DELETE
    • Delete a reading by time
      DELETE
  • Readings from Enectiva
    • List readings of a meter
      GET
  • Entities from Enectiva
    • Entity
      GET
    • List entities
      GET
  • Meters from Enectiva
    • List meters
    • Meter
  • Received energy invoices
    • Create a new invoice
  • Profiles from Enectiva
    • List profiles of a meter
  1. Entities from Enectiva

Entity

GET
https://api.enectiva.cz/entities/{entity_id}
Last modified:2026-06-30 18:49:49
This action allows to fetch details of an entity.
The required scope is entities.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.enectiva.cz/entities/{{entity_id}}' \
--header 'Accept: application/vnd.api+json' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/vnd.api+json
OK
Bodyapplication/vnd.api+json

Example
{
    "data": {
        "attributes": {
            "name": "HQ",
            "parent_id": 123,
            "type_id": "7aa0c676-6321-4874-b6a0-a9bb2bde3e0d"
        },
        "id": "293",
        "type": "entities"
    }
}
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🟠406Not Acceptable
🟠429Too Many Requests
🔴500Server Error
Modified at 2026-06-30 18:49:49
Previous
List readings of a meter
Next
List entities
Built with